I have upgraded KDE from 4.7.2 to 4.8.4 a few days back and i have issues with widgets that use Python.

The error message that i get is this: "could not create a python script engine for the wdget".

I have created a bug report as well, if any of you care to offer feedback on it maybe it will get attention from developers to fix it: https://bugzilla.novell.com/show_bug.cgi?id=767249